Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.cetask.guide
Class SpeechGuide

    java.lang.Object
      edu.wpi.cetask.guide.Guide
          edu.wpi.cetask.guide.SpeechGuide

    public class SpeechGuide

extends Guide

Nested Class Summary
`static interface` | `SpeechGuide.Generator` Simple wrapper for text-to-speech system
`static interface` | `SpeechGuide.Recognizer` Simple wrapper for speech recognition system

Nested classes/interfaces inherited from class edu.wpi.cetask.guide.Guide
`Guide.Quit`

Field Summary
`protected SpeechGuide.Generator` | `generator`
`protected SpeechGuide.Recognizer` | `recognizer`

Fields inherited from class edu.wpi.cetask.guide.Guide
`accepted, command, engine, PROMPT, proposed, rejected, VERSION`

Constructor Summary
`protected` | `SpeechGuide(String filename, SpeechGuide.Recognizer recognizer, SpeechGuide.Generator generator)`

Method Summary
`protected void` | `deallocate()`
`protected void` | `help()`
`static void` | `main(String[] args)`
`protected void` | `println(Object object)`
`void` | `ptt(String ignore)`
`void` | `say(String utterance)`

Methods inherited from class edu.wpi.cetask.guide.Guide
`by, clear, debug, done, eval, exception, execute, help, load, loop, next, no, processCommand, propose, respond, source, status, system, task, verbose, warning, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recognizer

    protected final SpeechGuide.Recognizer recognizer

### generator

    protected final SpeechGuide.Generator generator

Constructor Detail

### SpeechGuide

    protected SpeechGuide(String filename,
                          SpeechGuide.Recognizer recognizer,
                          SpeechGuide.Generator generator)

Method Detail

### main

    public static void main(String[] args)

### deallocate

    protected void deallocate()

  Overrides:
    `deallocate` in class `Guide`

### println

    protected void println(Object object)

  Overrides:
    `println` in class `Guide`

### ptt

    public void ptt(String ignore)
             throws Throwable

  Throws:
    `Throwable`

### say

    public void say(String utterance)
             throws Throwable

  Throws:
    `Throwable`

### help

    protected void help()

  Overrides:
    `help` in class `Guide`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD